<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
  <meta http-equiv="Pragma" content="no-cache">
  <meta http-equiv="Expires" content="0">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PrimeNote - Advanced Note-Taking Tool for Windows and Linux</title>
  <link rel="stylesheet" href="style/bootstrap.min.css">
  <link rel="stylesheet" href="style/bootstrap-icons.css">
  <style>
    body {
      font-family: Arial, sans-serif;
    }
    header {
      background-color: #f8f9fa;
      padding: 0px;
    }
    .hero-section {
      background-color: #e9ecef;
      padding: 80px 0;
    }
    .features-section {
      padding: 50px 0;
    }
    .features-section .row {
      row-gap: 30px;
    }
    .feature-item {
      margin-bottom: 30px;
      text-align: center;
    }
    .feature-icon {
      font-size: 30px;
      color: #008bff;
      margin-right: 5px;
    }
    .d-flex.align-items-center {
      display: flex;
      align-items: center;
      justify-content: center;
    }
    footer {
      background-color: #f8f9fa;
      padding: 5px;
      margin-bottom: 0;
      text-align: center;
      font-size: small;
    }
    @media (max-width: 767px) {
      .hero-section {
        text-align: center;
      }
      .hero-section img {
        max-width: 100%;
        margin-top: 30px;
      }
    }
    .features-section h2 {
      font-size: 2.2rem;
    }
  </style>
</head>
<body>
  <header>
    <nav class="navbar navbar-expand-lg navbar-light">
      <div class="container">
        <img src="logo.png" alt="PrimeNote" style="width: 20px; height: auto; margin-right: 5px;">
        <a class="navbar-brand" href="#">PrimeNote</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ms-auto">
            <li class="nav-item">
              <a class="nav-link" href="#features">Features</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#tour">Screenshots</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#download">Download</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
  </header>
  <section class="hero-section">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-lg-6">
          <h1>Welcome to PrimeNote!</h1>
          <p>PrimeNote is a clever and highly adaptable note-editing tool designed for both Linux and Windows. Its functionality allows for swift editing, storage, organization, and backup of an unlimited number of notes. With PrimeNote, users can take advantage of advanced text operations and an extensive range of modes encompassing text and image processing, as well as a built-in terminal emulator and Vim integration for advanced users.</p>
          <a href="https://gitlab.com/william.belanger/storage/-/raw/primenote/primenote-1.5.4.exe?inline=false" class="btn btn-primary">Download</a>
          <a href="https://gitlab.com/william.belanger/primenote#getting-started-installation" class="btn btn-secondary" target="_blank">Linux Install</a>
        </div>
        <div class="col-lg-6">
          <img src="img/top.png" alt="PrimeNote" class="img-fluid">
        </div>
      </div>
    </div>
  </section>
  <section class="features-section" id="features">
    <div class="container">
      <h2 class="text-center mb-5">Features Overview</h2>
      <div class="row">
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <div class="d-flex align-items-center justify-content-center">
              <div class="feature-icon mr-3" style="padding-right: 10px;">
                <i class="bi bi-spellcheck"></i>
              </div>
              <h4 class="mb-0">Antidote</h4>
            </div>
            <p>Support for Druide Antidote proofing tool.</p>
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <div class="d-flex align-items-center justify-content-center">
              <div class="feature-icon mr-3" style="padding-right: 10px;">
                <i class="bi bi-database-lock"></i>
              </div>
              <h4 class="mb-0">Encryption</h4>
            </div>
            <p>Fernet encryption to protect sensitive data.</p>
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <div class="d-flex align-items-center justify-content-center">
              <div class="feature-icon mr-3" style="padding-right: 10px;">
                <i class="bi bi-archive"></i>
              </div>
              <h4 class="mb-0">Archiving</h4>
            </div>
            <p>Periodic auto-archiving to keep your data safe.</p>
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <div class="d-flex align-items-center justify-content-center">
              <div class="feature-icon mr-3" style="padding-right: 10px;">
                <i class="bi bi-intersect"></i>
              </div>
              <h4 class="mb-0">Cross-Platform</h4>
            </div>
            <p>Official support for Linux and Windows.</p>
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <div class="d-flex align-items-center justify-content-center">
              <div class="feature-icon mr-3" style="padding-right: 10px;">
                <i class="bi bi-heart"></i>
              </div>
              <h4 class="mb-0">Open-Source</h4>
            </div>
            <p>Licensed under General Public Licence (GPLv3). Powered by Python, Qt and Vim.</p>
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <div class="d-flex align-items-center justify-content-center">
              <div class="feature-icon mr-3" style="padding-right: 10px;">
                <i class="bi bi-robot"></i>
              </div>
              <h4 class="mb-0">AI-Assist</h4>
            </div>
            <p>Support for local LLM (coming soon).</p>
          </div>
        </div>
      </div>
    </div>
  </section>
  <section class="features-section" id="tour">
    <div class="container">
      <h2 class="text-center mb-5">Quick Tour</h2>
      <div class="row">
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <h4>Polyvalent</h4>
            <p>Keep your notes tidy and always in sight. Built-in keyboard-driven search tool to swiftly browse among notes, command-line interface and more.</p>
            <img src="img/polyvalent.png" alt="Polyvalent" class="img-fluid mb-3">
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <h4>Built for Academics</h4>
            <p>Store, search and organize an infinite number of notes. Special paste function to import continuous text blocks from PDFs.</p>
            <img src="img/academics.png" alt="Built for Academics" class="img-fluid mb-3">
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <h4>Powered by CSS</h4>
            <p>Enjoy the stock themes or create your own from our templates.</p>
            <img src="img/css.png" alt="Powered by CSS" class="img-fluid mb-3">
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <h4>Handy Text Operations</h4>
            <p>Quickly delete, duplicate, sort, shuffle and move lines up or down.</p>
            <img src="img/handy.gif" alt="Handy Text Operations" class="img-fluid mb-3">
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <h4>Extensible Modes</h4>
            <p>Handle images, plain and decorated text via various editing modes. Includes terminal emulator, scripts and Vim integration for Linux users.</p>
            <img src="img/modes.png" alt="Extensible Modes" class="img-fluid mb-3">
          </div>
        </div>
        <div class="col-lg-4 col-md-6">
          <div class="feature-item">
            <h4>Highly Customizable</h4>
            <p>Easily defines hotkeys, toolbars, menus, mouse events and more via the extensive settings GUI.</p>
            <img src="img/customizable.png" alt="Highly Customizable" class="img-fluid mb-3">
          </div>
        </div>
      </div>
    </div>
  </section>
  <footer>
    <p>&copy; 2023 PrimeNote. All rights reserved.</p>
  </footer>
  <script src="style/bootstrap.bundle.min.js"></script>
</body>
</html>

